#include <conf.h>

#ifndef __NETUTILS_H
#define	__NETUTILS_H	__NETUTILS_H

#include <netinet/in.h>

#include <x_types.h>
#include <sysutils.h>

#define	TCPMUX_INETD_STARTED		1
#define	TCPMUX_STOP_ON_LAST_CLOSE	( TCPMUX_INETD_STARTED << 1 )

#ifdef	__cplusplus
extern	"C"	{
#endif

extern	int	open_tcpip_conn(UChar *, UChar *, Int32);
extern	int	get_tcp_portnum(UChar *);
extern	Int8	same_host(UChar *, UChar *);
extern	Int32	set_tcpip_throughput(int);
extern	Int32	set_tcpip_keepalive(int);
extern	UChar	*get_connected_peername(int);
extern	UChar	*get_hostnamestr(struct sockaddr_in *);
extern	UChar	*get_my_off_hn();
extern	Int32	tcp_mux_service(int,
			void *(*)(int, Int32, void *, struct sockaddr_in *, void *),
			Int32 (*)(int, void *, Int32, void *),
			Int32 (*)(int, void *, Int32, void *),
			Int32, void (*)(int, void *), Uns32, void *);

#ifdef	__cplusplus
}
#endif

#endif	/* ! defined(__NETUTILS_H) */

/************ end of $RCSfile$ ******************/
